# See https://pre-commit.com for more information
# See https://pre-commit.cgiom/hooks.html for more hooks

repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.0.1
    hooks:
    -   id: check-case-conflict
    -   id: check-yaml
    -   id: end-of-file-fixer
    -   id: trailing-whitespace
    -   id: mixed-line-ending
        exclude: README.md
    -   id: check-toml
    -   id: check-merge-conflict
    -   id: mixed-line-ending
-   repo: https://github.com/psf/black
    rev: 22.3.0
    hooks:
    -   id: black
        additional_dependencies: ['click==8.1.2']
-   repo: https://gitlab.com/pycqa/flake8
    rev: 3.9.2
    hooks:
    -   id: flake8
default_language_version:
    python: python3.10
